Bug 192629 - [NEW PORT] net-p2p/zetacoin-nox11: A slave port for no X11 option
Summary: [NEW PORT] net-p2p/zetacoin-nox11: A slave port for no X11 option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-12 23:57 UTC by Daniel Morante
Modified: 2014-08-23 20:23 UTC (History)
2 users (show)

See Also:


Attachments
port shar (711 bytes, text/plain)
2014-08-12 23:57 UTC, Daniel Morante
no flags Details
port shar (Corrected) (760 bytes, text/plain)
2014-08-13 00:19 UTC, Daniel Morante
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Morante 2014-08-12 23:57:39 UTC
Created attachment 145741 [details]
port shar

Slave port of net-p2p/zetacoin to allow zetacoin-qt and zetacoind to co-exist on the same machine.  

Also allows the installation of Zetacoin on servers using "pkg" without pulling in X11 dependencies.

Build Logs:
https://redports.org/buildarchive/20140812233100-35750/
Comment 1 Daniel Morante 2014-08-13 00:18:03 UTC
Comment on attachment 145741 [details]
port shar

Missing OPTIONS_UNSET.
Do not use this one.
Comment 2 Daniel Morante 2014-08-13 00:19:28 UTC
Created attachment 145742 [details]
port shar (Corrected)

Added:

OPTIONS_EXCLUDE=	X11 QRCODES
SLAVE_PORT=	yes
Comment 3 John Marino freebsd_committer 2014-08-13 05:50:51 UTC
I don't think I've seen a slave port manipulate options like this before.

Oh well, let the next guy think about it.  I'll move to patch-ready so somebody can pick it up.
Comment 4 Daniel Morante 2014-08-13 05:56:07 UTC
I was using net-p2p/litecoin-daemon and emulators/open-vm-tools-nox11 for examples/guidance.
Comment 5 commit-hook freebsd_committer 2014-08-23 20:21:48 UTC
A commit references this bug:

Author: adamw
Date: Sat Aug 23 20:21:09 UTC 2014
New revision: 365806
URL: http://svnweb.freebsd.org/changeset/ports/365806

Log:
  Add net-p2p/zetacoin-nox11 as a slave to zetacoin. This allows installing
  just the daemon on headless servers.

  PR:		192629
  Submitted by:	maintainer

Changes:
  head/net-p2p/Makefile
  head/net-p2p/zetacoin-nox11/
  head/net-p2p/zetacoin-nox11/Makefile
Comment 6 Adam Weinberger freebsd_committer 2014-08-23 20:23:28 UTC
Committed, with the OPTIONS_UNSET line taken out.

You should probably either add CONFLICTS, or submit a PR that turns net-p2p/zetacoin into just the frontend.